Subject: Package Racket (v8.8) crashes with "munmap_chunk(): invalid pointer"

From: Beat Hagenlocher <[email-masked]>
Date: Sat, 01 Apr 2023 08:24:50 +0000

Hi all,

I've recently updated my Racket to v8.8 everywhere. When I now try to 
run racket on Guix, it crashes with the following error message:

$ racket
munmap_chunk(): invalid pointer
Aborted

Both the `racket` on my WSL, as well as the `raco` and `drracket` 
commands on Guix work fine. (As well as the Racket v8.7 on

I haven't further investigated it, so I don't have a guess whether it 
might be wrong packaging or wrong assumptions about the env it runs in 
from the Racket side.

Hope this helps :)
Beat